Package org.gradle.work

# Enum ChangeType

java.lang.Object
java.lang.Enum<ChangeType>
org.gradle.work.ChangeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ChangeType>`, `Constable`

public enum ChangeType extends Enum<ChangeType>
The type of change for e.g. an input file.

Since:
  5.4

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ADDED`
  `MODIFIED`
  `REMOVED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ChangeType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ADDED

    public static final ChangeType ADDED

  - ### MODIFIED

    public static final ChangeType MODIFIED

  - ### REMOVED

    public static final ChangeType REMOVED

- ## Method Details

  - ### values

    public static ChangeType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ChangeType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null